NXOpen .NET Reference  12.0.0
NXOpen.PointCollection Member List

This is the complete list of members for NXOpen.PointCollection, including all inherited members.

AlongCurveOption enum nameNXOpen.PointCollection
CreatePoint(NXOpen.Point3d coordinates)NXOpen.PointCollection
CreatePoint(NXOpen.Offset offset, NXOpen.Point offsetPoint, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IParameterizedSurface face, NXOpen.Scalar scalarU, NXOpen.Scalar scalarV, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.View view, NXOpen.IBaseCurve edgeCurve1, NXOpen.IBaseCurve edgeCurve2, NXOpen.Point3d helpPt, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.PointCollection.PointOnCurveLocationOption locationOption, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.SmartObject.UpdateOption updateOption, bool useReverseParameter)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve edgeCurve, NXOpen.Point pointOffset, NXOpen.Scalar distancePercent, NXOpen.PointCollection.AlongCurveOption option, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.Scalar scalarX, NXOpen.Scalar scalarY, NXOpen.Scalar scalarZ, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.Point pointExtract, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar angle, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve edgeCurve, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve curve1, NXOpen.IBaseCurve curve2, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve curve1, NXOpen.IBaseCurve curve2, NXOpen.Point3d startPoint, NXOpen.View view, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IParameterizedSurface face, NXOpen.IBaseCurve curve, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IBasePlane plane, NXOpen.IBaseCurve curve, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.IParameterizedSurface sphericalFace, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.Routing.IRoutePosition routePosition, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.CartesianCoordinateSystem csys, NXOpen.Scalar scalarX, NXOpen.Scalar scalarY, NXOpen.Scalar scalarZ, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.Point point1, NXOpen.Point point2, NXOpen.Scalar distancePercentage, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.Expression exp, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.CAE.CAEFace face, NXOpen.Point projectedPoint, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.ScCollector faces, NXOpen.IBaseCurve curve, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePoint(NXOpen.SmartObject.UpdateOption updateOption, NXOpen.Annotations.Annotation annotation, NXOpen.Scalar t, int side, int block, bool attachFcfToDim)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve splarc, NXOpen.View view)NXOpen.PointCollection
CreatePoint(NXOpen.IBaseCurve edgeCurve, NXOpen.Scalar scalarT, NXOpen.PointCollection.PointOnCurveLocationOption locationOption, NXOpen.Point specifiedPoint, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePointOnPortExtractAlign(NXOpen.SmartObject.UpdateOption updateOption, NXOpen.Routing.Port port, NXOpen.Scalar distance)NXOpen.PointCollection
CreatePointOnSectionCG(NXOpen.SmartObject.UpdateOption updateOption, NXOpen.TaggedObject face)NXOpen.PointCollection
CreatePointOnSurfaceAxis(NXOpen.TaggedObject face, NXOpen.Scalar parameter, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePointSplarc(NXOpen.IBaseCurve splarc, NXOpen.View view)NXOpen.PointCollection
CreatePointSplineDefiningPoint(NXOpen.IBaseCurve splineCurve, int definingPointIndex, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreatePointSplinePole(NXOpen.IBaseCurve splineCurve, int poleIndex, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreateQuadrantPoint(NXOpen.IBaseCurve curveOrEdge, int quadrant, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreateStockOffsetPoint(NXOpen.Point basePoint, NXOpen.Direction offsetDirr, string offsetExpression, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
CreateVirtualIntersectionPoint(NXOpen.IBaseCurve curve1, NXOpen.IBaseCurve curve2, NXOpen.Point helpPt1, NXOpen.Point helpPt2, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
DeletePoint(NXOpen.Point point)NXOpen.PointCollection
EditStockOffsetPoint(NXOpen.Point basePoint, NXOpen.Direction offsetDirr, string offsetExpression, NXOpen.SmartObject.UpdateOption updateOption)NXOpen.PointCollection
EnumerateMoveNext(ref Tag currentTag, byte[] state)NXOpen.PointCollectionprotected
FindObject(string journalIdentifier)NXOpen.PointCollection
PointOnCurveLocationOption enum nameNXOpen.PointCollection
RemoveParameters(NXOpen.Point point)NXOpen.PointCollection
TagNXOpen.PointCollection
ToArray()NXOpen.PointCollection
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.